﻿Imports MVVM_Demo.Model

Public Class ApplicationViewModel
    Inherits Observeable

    Private model1 As Window1ViewModel
    Public Property window1ViewModel As Window1ViewModel
        Get
            Return model1
        End Get
        Private Set(value As Window1ViewModel)
            model1 = value
            RaisePropertyChanged(NameOf(window1ViewModel))
        End Set
    End Property

    Private model2 As Window2ViewModel
    Public Property window2ViewModel As Window2ViewModel
        Get
            Return model2
        End Get
        Private Set(value As Window2ViewModel)
            model2 = value
            RaisePropertyChanged(NameOf(window2ViewModel))
        End Set
    End Property

    Public Sub GetViewModelInstances()
        window1ViewModel = ServiceManager.GetService(Of IWindow1Service).GetDataContext()
        window2ViewModel = ServiceManager.GetService(Of IWindow2Service).GetDataContext()
    End Sub

End Class
