﻿Imports MVVM_Demo.View
Imports MVVM_Demo.ViewModel

Class Application

    Private appViewModel As New ApplicationViewModel


    Private Sub Application_Startup(sender As Object, e As StartupEventArgs) Handles Me.Startup
        ServiceManager.GetInstance().AddService(Of IWindow1Service)(New Window1Service())
        ServiceManager.GetInstance().AddService(Of IWindow2Service)(New Window2Service())
        ServiceManager.GetService(Of IWindow1Service).Show()
        ServiceManager.GetService(Of IWindow2Service).Show()
        appViewModel.GetViewModelInstances()


    End Sub

    Private Sub Application_Exit(sender As Object, e As ExitEventArgs) Handles Me.[Exit]
        ServiceManager.GetService(Of IWindow1Service)?.Close()
        ServiceManager.GetService(Of IWindow2Service)?.Close()
    End Sub

End Class